package pod_index_models

import (
	"gorm.io/driver/sqlite"
	"gorm.io/gorm"
)

var DB *gorm.DB

func ConnectDatabase() {
	database, err := gorm.Open(sqlite.Open("podcastindex_feeds.db"), &gorm.Config{})

	if err != nil {
		//TODO: Manage error better
		panic("Failed to connect to pod index database!")
	}

	err = database.AutoMigrate(&Podcasts{})
	if err != nil {
		//TODO: Manage error better
		panic("Failed to migrate pod index database!")
	}

	DB = database
}
